List Product Reviews

Query Params
number | null
≥ 0

For use with paging. Number of records to skip when returning.

i.e., if there are 20 records and you want 5 at a time, your first skip would be 0, second would be 5, third would be 10, etc.

number | null
0 to 250

For use with paging. Total number of records to return. Default limit is 100 and max limit is 250

string | null
enum

Enables sorting of product reviews in response. A - indicates descending order

string | null
enum

Filter by product reviews with a certain status. i.e., PENDING, ACCEPTED, REJECTED

Allowed:
string | null

Filter by product reviews with a specific brand

string | null

Filter by product reviews associated with a specific venue/store ID

string | null

Filter by product reviews associated with a specific product ID

string | null

Filter by product reviews created on or after this date

To filter for a specific date, use a combination of createdStart and createdEnd. For example, to query for only 1/1/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for createdStart and ending date for createdEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-05T23:59

string | null

Filter by product reviews created on or before this date

To filter for a specific date, use a combination of createdStart and createdEnd. For example, to query for only 1/1/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for createdStart and ending date for createdEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-05T23:59

string | null

Filter by product reviews modified on or after this date

To filter for a specific date, use a combination of modifiedStart and modifiedEnd. For example, to query for only 1/1/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for modifiedStart and ending date for modifiedEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-05T23:59

string | null

Filter by product reviews modified on or before this date

To filter for a specific date, use a combination of modifiedStart and modifiedEnd. For example, to query for only 1/1/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for modifiedStart and ending date for modifiedEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-05T23:59

string | null
deprecated

This field has been deprecated in favor of createdStart, but is still supported for backwards compatibility.

Filter by product reviews created after this date

string | null
deprecated

This field has been deprecated in favor of createdEnd, but is still supported for backwards compatibility.

Filter by product reviews created before this date

Headers
string
required

Your Dispense Organization API key

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json